import { UnauthenticatedApi, MemberCredentials } from '../generated-src';
export interface Payload {
    id: string;
    fname: string;
    email: string;
    token: string;
    iat: number;
    exp: number;
}
export interface Authenticator {
    getToken(): Promise<string>;
    getPayload(): Promise<Payload>;
}
export declare class AuthenticatorFactory {
    private readonly cacheTtl;
    private readonly api;
    private static readonly DEFAULT_CACHE_TTL;
    constructor(cacheTtl?: number, api?: UnauthenticatedApi);
    create(request: MemberCredentials): Authenticator;
}
